The achievement catalog merged with the caller's progress
GET
/api/v1/achievements
const url = 'https://api.yggy.tech/api/v1/achievements';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/achievements \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” host
string | null
x-yggy-organization-id
string | null
Responses
Section titled “ Responses ”Catalog with progress
Media type application/json
object
achievements
required
Array<object>
object
id
required
string
family
required
string
chain
string
step
integer
rarity
required
string
threshold
required
number
counter
required
string
value
required
number
earnedAt
required
string | null
Example
{ "achievements": [ { "family": "adoption", "rarity": "common" } ]}Achievements are not enabled for this organization